routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\MarcaController;
use App\Http\Controllers\ModeloController;
use App\Http\Controllers\SessionController;
use App\Http\Controllers\RegisterController;
use App\Http\Controllers\VehiculoController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth.login');
});

// rutas de los CRUDS
Route::resource('modelos', ModeloController::class)->middleware('auth');
Route::resource('marcas', MarcaController::class)->middleware('auth');
Route::resource('vehiculos', VehiculoController::class)->middleware('auth');

// rutas de autenticación
Route::get('/register', [RegisterController::class, 'create'])->name('auth.register');
Route::post('/register', [RegisterController::class, 'store'])->name('auth.store');
Route::get('/login', [SessionController::class, 'create'])->name('auth.login');
Route::post('/home', [SessionController::class, 'entrar'])->name('auth.entrar');
Route::get('/logout', [SessionController::class, 'destroy'])->name('auth.destroy')->middleware('auth');

// ruta para filtrar modelos por la marca
Route::get('/brands/list/{brand}', [ModeloController::class, 'lista'])->name('brand.lista')->middleware('auth');

resources/views/layouts/navbar/nav.blade.php
<nav class="navbar navbar-expand-lg navbar-dark  bg-primary">
    <a class="navbar-brand" style="margin-left: 10px;" href="">Sysprim C.A</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>
    
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        @if(auth()->check())
            <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="{{route('marcas.index')}}">Marcas</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{route('modelos.index')}}">Modelos</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{route('vehiculos.index')}}">Vehiculos</a>
                </li>
            </ul>
            <ul class="navbar-nav" style="margin-left: auto">
                <li class="nav-item">
                    <p class="nav-link">{{auth()->user()->name}}</p>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{route('auth.destroy')}}">Salir</a>
                </li>
            </ul>
            
            @else
                <ul class="navbar-nav" style="margin-left: auto">
                    <li class="nav-item">
                        <a class="nav-link" href="{{route('auth.register')}}">Registrar</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{route('auth.login')}}">Entrar</a>
                    </li>
                </ul>
        @endif
        
    </div>
</nav>